Skip to main content
Version: 10.1

Zone Resource

Description​

This resource is for manipulating a single zone object.

GET /zones/:ID​

Get details about the requested zone.

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique numeric ID for the zone. 
include_prefixNoQuery ParameterIf included and set to true, the list of prefixes used for this Zone's routes will be included in the result. Supported in rWeb 9.1+.

GET Response Values​

NameTypeDescription
idJSON NumberThe numeric ID of the zone. Should match the :ID used in the request.
nameJSON StringThe display name of the zone.
descriptionJSON StringThe optional description of the zone.
revisions_resourceJSON StringThe revisions resource for the zone.
subnets_resourceJSON StringThe subnets resource for the zone.
configurations_resourceJSON StringThe configuration resource for the zone.
victims_resourceJSON StringThe victims resource for the zone.
traffic_resourceJSON StringThe traffic resource for the zone.
group_resourceJSON StringThe group resource for the group that owns the zone.
group_nameJSON StringThe display name of the group that owns the zone.
customer_resourceJSON StringThis value is deprecated and should not be used.
customer_nameJSON StringThis value is deprecated and should not be used.
zone_resourceJSON StringThe zone resource. This should be identical to the requested resource.
toplists_resourceJSON StringThe top lists resource for the zone.
toplists_all_resourceJSON StringThe full top list resource for the zone.
topapps_resourceJSON StringThe top applications resource for the zone.
topapps_all_resourceJSON StringThe full top applications resource for the zone.
topprotocols_resourceJSON StringThe top protocols resource for the zone.
topprotocols_all_resourceJSON StringThe full top protocols resource for the zone.
topvlans_resourceJSON StringThe top VLANs resource for the zone.
topvlans_all_resourceJSON StringThe full top VLANs resource for the zone.
topattackers_resourceJSON StringThe top attackers resource for the zone.
topattackers_all_resourceJSON StringThe full top attackers resource for the zone.
log_resourceJSON StringThe log resource for the zone.
revision_current_resourceJSON StringThe current revision resource for the zone.
zone_devices_resourceJSON StringThe zone devices resource for the zone.
is_under_attack_resourceJSON StringThe is under attack resource for the zone.
template_resourceJSON StringThe template resource for the zone.
filter_list_requests_resourceJSON StringThe filter list requests resource for the zone.
filter_list_resourceJSON StringThe filter list resource for the zone.
tcp_dumps_resourceJSON StringThe tcp dumps resource for the zone.
prefixJSON ArrayIf the include_prefix query parameter was sent, this will be returned with the list of prefixes assigned as this Zone's routes.

Example GET Request​

 GET /zones/2517

Example GET Response​

{
"id": 2517,
"name": "Z12.1.1",
"description": null,
"revisions_resource": "/zones/2517/revisions",
"subnets_resource": "/zones/2517/subnets",
"configurations_resource": "/zones/2517/configurations",
"victims_resource": "/zones/2517/victims",
"traffic_resource": "/zones/2517/traffic",
"group_resource": "/groups/547",
"group_name": "G12_1",
"customer_resource": "/customers/547",
"customer_name": "G12_1",
"zone_resource": "/zones/2517",
"toplists_resource": "/zones/2517/toplists",
"toplists_all_resource": "/zones/2517/toplists/all",
"topapps_resource": "/zones/2517/topapps",
"topapps_all_resource": "/zones/2517/topapps/all",
"topprotocols_resource": "/zones/2517/topprotocols",
"topprotocols_all_resource": "/zones/2517/topprotocols/all",
"topvlans_resource": "/zones/2517/topvlans",
"topvlans_all_resource": "/zones/2517/topvlans/all",
"topattackers_resource": "/zones/2517/topattackers",
"topattackers_all_resource": "/zones/2517/topattackers/all",
"log_resource": "/zones/2517/logs",
"revision_current_resource": "/zones/2517/revisions/current",
"zone_devices_resource": "/zones/2517/devices",
"is_under_attack_resource": "/zones/2517/is_under_attack",
"template_resource": "/zones/2517/template",
"filter_list_requests_resource": "/zones/2517/filter_list_requests",
"filter_list_resource": "/zones/2517/filter_list",
"tcp_dumps_resource": "/zones/2517/tcp_dump"
}

PUT /zones/:ID​

Update the requested zone.

PUT Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique numeric ID of the zone to update. 
nameNoJSON StringThe new name of the zone. 
descriptionNoJSON StringThe new description for the zone. 

Example PUT Request​

PUT /zones/2031
 
JSON Body:
{
"data": {
"name": "Test Zone Redux",
"description": "Added a description."
}
}

Example  PUT Response​

HTTP/1.1 200 OK 

DELETE /zones/:ID​

Remove the requested zone. This will automatically remove the zone from all devices that have this zone configuration pushed to them.

DELETE Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique numeric ID of the zone to remove. 

Example DELETE Request​

 DELETE /zones/2031

Example DELETE Response​

 HTTP/1.1 200 OK